Bug 497925 - Bare metal provisioning through proxy doesn't work
Bare metal provisioning through proxy doesn't work
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike McCune
Miroslav Suchý
: Regression
Depends On:
Blocks: 457075
  Show dependency treegraph
Reported: 2009-04-27 17:23 EDT by Justin Sherrill
Modified: 2009-09-10 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 15:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-04-27 17:23:55 EDT
In satellite 5.2 in prior you could bare metal kickstart a machine through a proxy by simply replacing the hostname in a kickstart URL with the hostname of the proxy.

In satellite 5.3 you cannot do this.  Even if you hack it to proxy the kickstart file,  none of the URLs within the kickstart file ( distro url, registration url) are modified to go through the proxy.
Comment 1 Mike McCune 2009-04-27 17:32:01 EDT
moving to sat530-ks, gotta make sure this works.
Comment 2 Mike McCune 2009-04-28 21:53:32 EDT
we search-replace the cobbler host in the KS file. 

Simple way to test is to hit the baremetal URL:





you should not see any instances of somesat.rhndev.redhat.com if you download that kickstart file through the proxy.
Comment 3 Mike McCune 2009-05-20 13:29:10 EDT
Comment 4 Miroslav Suchý 2009-07-02 11:04:31 EDT
all url are replaced.
I tried to do KS and it indeed use proxy. In the middle I had to stop due to bug in vmware so I did not finish whole KS, but it seems unnecessary.
Comment 5 Sayli Karmarkar 2009-08-20 18:52:54 EDT
I kickstarted a xen guest using a bare metal kickstart profile through proxy. Guest was kickstarted without any issues. 
Moving to release_pending.
Comment 6 Brandon Perkins 2009-09-10 15:25:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.